Public Class BlockedWndV

   Private WithEvents m_BlockedWndVM As BlockedWndVM

   Sub New(Owner As Window, BlockedWndVM As BlockedWndVM)
      MyBase.New(Owner)
      ' This call is required by the designer.
      InitializeComponent()
      Me.DataContext = BlockedWndVM
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_BlockedWndVM = BlockedWndVM
   End Sub

   Private Sub CloseWindow(bDialogResult As Boolean) Handles m_BlockedWndVM.m_CloseWindow
      Me.DialogResult = bDialogResult
   End Sub

End Class
